#!/bin/bash

src_root=$(dirname $0)
cd ${INSTALL_ROOT}

echo Installing homepage
# custom browser homepage
mkdir -p usr/share/library-common
cp -r $src_root/../hx_home/*  usr/share/library-common/
ln -s /usr/share/library-common home/olpc/Library

echo Monkeypatching httplib
mkdir -p usr/lib/python2.7
cp $src_root/../patch/httplib.py usr/lib/python2.7/

echo Installing boot-anim
mkdir -p usr/share/boot-anim
cp $src_root/../boot_logo/frame00.565  usr/share/boot-anim/

# for WeDO
ln -s /usr/lib/libpython2.7.so.1.0 usr/lib/libpython2.6.so.1.0


echo ------------------ CUSTOM INSTALLATIONS -----------

#mkdir -p home/olpc/Activities
for i in $(ls $src_root/../activities/*.xo)
do
    HOME=home/olpc usr/bin/sugar-install-bundle $i
    #unzip -d home/olpc/Activities $i
    echo Installing custom $i
done

echo ------------------ UPDATED TRANSLATIONS -----------

tar xzvf $src_root/traducciones.tar.gz -C home/olpc/Activities/

echo ------------------ CUSTOM BOOT FIRMWARE -----------

cp $src_root/../firmware/* boot/

# THIS GETS OVERWRITTEN ON FIRST BOOT :-(
#cat > home/olpc/.i18n << EOF
#LANG="ayc_PE.utf8"
#LANGUAGE="ayc_PE.utf8"
#EOF

creds=$(ls -aldn home/olpc | awk '{print $3 ":" $4}')
chown ${creds} -R home/olpc
